GameMode gameMode;

import ddf.minim.*;
import ddf.minim.ugens.*;
import ddf.minim.spi.*;

Minim minim;

AudioPlayer meow1;
AudioPlayer meow2;
AudioPlayer meow3;
AudioPlayer suckIn;
AudioPlayer suckIn2;

AudioPlayer bg;

AudioPlayer buttonSound;
AudioPlayer startButtonSound;
AudioPlayer countdown1;
AudioPlayer countdown2;

AudioPlayer roundEnd;

PImage level; //the collision image for the level
PImage displayLevel; //image that ist shown to the player
int [][]dImage = new int [1280][720]; //array for saving the image for collision detection


void setup() {
  size(1280,720, P3D);
  frameRate(60);
  

  minim = new Minim(this);
  bg = minim.loadFile("Background.wav"); //passt net so
  
  meow1 = minim.loadFile("meow1.wav");
  meow2 = minim.loadFile("meow2.wav");
  meow3 = minim.loadFile("meow3.wav");
  suckIn = minim.loadFile("suckIn.wav");
  suckIn2 = minim.loadFile("suckIn2.wav");
  
  buttonSound = minim.loadFile("buttonSound.wav"); 
  startButtonSound = minim.loadFile("startButton.wav"); 
  countdown1 = minim.loadFile("countdown_01.wav"); 
  countdown2 = minim.loadFile("countdown_02.wav");
 
  
  roundEnd = minim.loadFile("end_sound.wav"); 
   
   
  gameMode = new GameStart ();
  
}

void draw() {
  gameMode.draw();
}

void mouseClicked() {
  gameMode.mouseClicked();
}

void keyPressed() {
  gameMode.keyPressed();
}

void keyReleased() {
  gameMode.keyReleased();
}

void mousePressed() {
  gameMode.mousePressed();
}

void mouseReleased() {
  gameMode.mouseReleased();
}
